Bug 6864 - broken configuration of 1 wheel (mouse scroll broken in stage2)
: broken configuration of 1 wheel (mouse scroll broken in stage2)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libhw-tools)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-16 22:28 by
Modified: 2005-08-30 02:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-16 22:28:44
при загрузке подключена ps/2 scroll mouse, добавил в процессе (уже после
подъёма
иксов) usb scroll mouse -- не работает скролинг ни на одной.

/etc/X11/xorg.conf не наблюдаю; в /var/log/X11.0.log следующее:

mouse0: Device: "/dev/input/mice"
mouse0: Protocol: "ExplorerPS/2"
Option "CorePointer"
mouse0: Core Pointer
Option "Device" "/dev/input/mice"
Option "Buttons" "7"
mouse0: Emulate3Buttons, Emulate3Timeout: 50
Option "ZAxisMapping" "6 7"
mouse0: ZAxisMapping: buttons 6 and 7
mouse0: Buttons: 7
[...]
XINPUT: Adding extended input device "mouse0" (type: MOUSE)
mouse0: ps2EnableDataReporting: succeeded
No APM support in BIOS or kernel
[...]
mouse0: ps2EnableDataReporting: succeeded
No APM support in BIOS or kernel
mouse0: ps2EnableDataReporting: succeeded
No APM support in BIOS or kernel
mouse0: ps2EnableDataReporting: succeeded

mousescan -v говорит про оригинальную PS/2 "buttons: 5, wheels: 1" и предлагает
для X11 config эти самые Buttons 7, ZAxisMapping 6 7.  Бардак.
Steps to Reproduce:
1. get installer-2.9.9.6.iso
2. try to install with wheel mouse
3. cry =)
------- Comment #1 From 2005-05-16 22:39:52 -------
Хм. Если USB-мышь (которая buttons: 5, wheels: 2, хотя колесо как раз одно)
воткнута с загрузки -- скроллим.  Постараюсь не забыть вытащить `mousescan -v`
с
готовой системки.
------- Comment #2 From 2005-05-16 23:48:46 -------
(In reply to comment #1)
> Хм. Если USB-мышь (которая buttons: 5, wheels: 2, хотя колесо как раз одно)
> воткнута с загрузки -- скроллим.
Хех.  Скроллим-то недолго, дальше переключается опять на 6 7 (в диалоге выбора
таймзоны есть горизонтальный скролл, вот тут-то и видно)

Мистика.
------- Comment #3 From 2005-06-09 04:22:57 -------
when installing 2.9.9.7 with _only_ this USB wheel mouse, wheel isn't working
neither in installer nor in the ready system

mousescan -v:

unknown /dev/input/mouse0       "4D Mouse USB Mouse"
buttons         : 5
wheels          : 2
events          : 00000017
keys            :
001f00000000000000000000000000000000000000000000000000000000000000000000
relative        : 00000143
bus             : 3
vendor          : 4b4
handlers        : mouse0 
drivers         : not found

------- Comment #4 From 2005-06-24 03:05:52 -------
мыша ps/2. mousescan -v:
unknown /dev/input/mouse0       "ImPS/2 Logitech Wheel Mouse"
buttons         : 3
wheels          : 1
events          : 00000007
keys            :
000700000000000000000000000000000000000000000000000000000000000000000000
relative        : 00000103
bus             : 11
vendor          : 2
handlers        : mouse0
drivers         : not found

скролл не работает, лечится дописывание в xorg.conf  ZAxisMapping "4 5".
------- Comment #5 From 2005-06-24 14:56:34 -------
fixed (libhw-0.2.17-alt1)
------- Comment #6 From 2005-08-30 02:23:40 -------
closing
------- Comment #7 From 2005-08-30 02:34:38 -------
closing